configure: Drop unnecessary gperf version check